POST

Assign Knowledge Base to Agent

Attaches a knowledge base to an Agent so it can reference its content.

POSThttps://api.vantaxai.com/v1/agents/{agent_id}/knowledge-bases

When attached, the Agent can answer questions using the text, FAQs, pages, and files in the knowledge base during calls and conversations.

Headers

  • Authorizationstringrequired

    Bearer authentication with your secret API key.

    example: Bearer vx_live_3fa9c2…

  • Content-Typestringrequired

    Must be application/json for requests with a body.

    example: application/json

Path Parameters

  • agent_idstringrequired

    The Agent to attach the knowledge base to.

    example: agt_3d9b21

Body Parameters

  • knowledgebase_idstringrequired

    The knowledge base to attach.

    example: kb_71ac0

Request

curl -X POST https://api.vantaxai.com/v1/agents/agt_3d9b21/knowledge-bases \
  -H "Authorization: Bearer vx_live_3fa9c2..." \
  -H "Content-Type: application/json" \
  -d '{
  "knowledgebase_id": "kb_71ac0"
}'

Response

{
  "success": true,
  "message": "Knowledge base assigned",
  "data": { "id": "agt_3d9b21", "knowledgebase_id": "kb_71ac0" }
}